Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.expression
Class MessageHeadersListExpressionEvaluator

    java.lang.Object
      org.mule.expression.MessageHeadersListExpressionEvaluator

All Implemented Interfaces:
  ExpressionEvaluator, NamedObject, ExpressionConstants

    public class MessageHeadersListExpressionEvaluator

extends Object
implements ExpressionEvaluator, ExpressionConstants

Looks up the property on the message using the expression given. The expression can contain a comma-separated list of header names to lookup. A `List` of values is returned.

See Also:
  `MessageHeadersExpressionEvaluator`, `ExpressionEvaluator`, `DefaultExpressionManager`

Field Summary
`static String` | `NAME`

Fields inherited from interface org.mule.expression.ExpressionConstants
`ALL_ARGUMENT, COUNT_ARGUMENT, DELIM, OPTIONAL_ARGUMENT`

Constructor Summary
`MessageHeadersListExpressionEvaluator()`

Method Summary
`Object` | `evaluate(String expression, MuleMessage message)` Extracts a single property from the message
`String` | `getName()` Gets the name of the object
`void` | `setName(String name)` Sets the name of the object

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NAME

    public static final String NAME

See Also:
  Constant Field Values

Constructor Detail

### MessageHeadersListExpressionEvaluator

    public MessageHeadersListExpressionEvaluator()

Method Detail

### evaluate

    public Object evaluate(String expression,
                           MuleMessage message)

  Description copied from interface: `ExpressionEvaluator`
  Extracts a single property from the message

  Specified by:
    `evaluate` in interface `ExpressionEvaluator`
  Parameters:
    `expression` - the property expression or expression
    `message` - the message to extract from
  Returns:
    the result of the extraction or null if the property was not found

### getName

    public String getName()

  Gets the name of the object

  Specified by:
    `getName` in interface `NamedObject`
  Returns:
    the name of the object

### setName

    public void setName(String name)

  Sets the name of the object

  Specified by:
    `setName` in interface `NamedObject`
  Parameters:
    `name` - the name of the object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.